Method: iceberg.v1.restcatalog.v1.projects.catalogs.namespaces.tables.list

列出命名空間中的資料表 ID (而非資料表)。

HTTP 要求

GET https://biglake.googleapis.com/iceberg/v1/restcatalog/v1/{parent=projects/*/catalogs/*/namespaces/*}/tables

這個網址使用 gRPC 轉碼語法。

路徑參數

參數
parent

string

這是必要旗標,要列出資料表的命名空間。

查詢參數

參數
pageToken

string

選用。分頁的 PageToken。

pageSize

integer

選用。分頁的頁面大小。

要求主體

要求主體必須為空白。

回應主體

tables.list API 的回應訊息。

如果成功,回應主體會含有以下結構的資料:

JSON 表示法
{
  "identifiers": [
    {
      object (TableIdentifier)
    }
  ],
  "next-page-token": string
}
欄位
identifiers[]

object (TableIdentifier)

僅供輸出。資料表 ID 清單。

next-page-token

string

僅供輸出。分頁的下一頁符記。

授權範圍

需要下列其中一種 OAuth 範圍:

  • https://www.googleapis.com/auth/bigquery
  • https://www.googleapis.com/auth/cloud-platform

詳情請參閱Authentication Overview

TableIdentifier

資料表 ID。

JSON 表示法
{
  "namespace": [
    string
  ],
  "name": string
}
欄位
namespace[]

string

資料表的命名空間。由於我們不支援巢狀命名空間,因此這項元素一律為 1 個。

name

string

資料表名稱。